---
title: How to host a website with Handshake | HNS↗WS
heading: How to host a website on Handshake?
excerpt: 
slug: hosting-a-website
img: /img/guide/
author: Ryan
public: true
---

## How to host a website on Handshake?

<sub>Last updated: Nov 1st, 2023</sub>

Hosting a website on Handshake is just like hosting any other 
website. The process goes something like:

- Register a domain name
- Create a server and upload your website files
- Direct traffic from your domain to your website
- Secure the domain traffic

There are many tools you can use to create and host your site using 
your Handshake name. 

Depending on how complex your website is, your security model, 
and other factors, will help you decide what hosting solution is right 
for you. Some options include:

- <a href="https://vercel.com/">Vercel</a>
- <a href="https://fleek.co">Fleek</a>
- <a href="https://www.youtube.com/watch?v=_PsHU2gAMEM">Github Pages</a>
- <a href="https://docs.ipfs.io/how-to/websites-on-ipfs/link-a-domain#handshake">IPFS</a>
- <a href="https://www.namebase.io/dlinks">dLinks</a>

If your a bit more technical, you can follow the great tutorial 
on the <a href="https://blog.htools.work/posts/hns-pdns-nginx/">Handshake Tools Blog</a>.
It goes into detail about each of the steps above and gives you control
over the whole process.

Namebase has a guide on how to <a href="https://learn.namebase.io/starting-from-zero/how-to-create-a-handshake-website">Create Handshake Websites</a> 
and The Shake also offers a list of <a href="https://theshake/resources/apps">Web Hosts</a>.